Shadow useradd Mailbox Creation Arbitrary Manipulation

2005-04-28T17:00:46
ID OSVDB:15916
Type osvdb
Reporter Koblinger Egmont(egmont@uhulinux.hu)
Modified 2005-04-28T17:00:46

Description

Vulnerability Description

Shadow contains a flaw that may allow a malicious user to manipulate mailbox creation arbitrarily. The issue is triggered when only two arguments are passed to open() call in useradd script. It is possible that the flaw may allow arbitrary file manipulation resulting in a loss of integrity.

Solution Description

Upgrade to version 4.0.8 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

Short Description

Shadow contains a flaw that may allow a malicious user to manipulate mailbox creation arbitrarily. The issue is triggered when only two arguments are passed to open() call in useradd script. It is possible that the flaw may allow arbitrary file manipulation resulting in a loss of integrity.

References:

Vendor URL: http://shadow.pld.org.pl/ Vendor Specific News/Changelog Entry: ftp://ftp.pld.org.pl/software/shadow/NEWS Related OSVDB ID: 15915